> ## Documentation Index
> Fetch the complete documentation index at: https://viewerdocs.planpoint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project

> Update an existing project by Id



## OpenAPI

````yaml PATCH /project/{id}
openapi: 3.0.3
info:
  title: Planpoint
  description: ''
  version: 1.0.0
servers:
  - url: https://app.planpoint.io/api
security:
  - AccessTokenAuth: []
tags:
  - name: user
    description: Everything about user
  - name: groups
    description: Everything about groups
  - name: projects
    description: Everything about projects
  - name: floors
    description: Everything about floors
  - name: units
    description: Everything about units
  - name: leads
    description: Everything about leads
externalDocs:
  description: Find out more about Planpoint
  url: http://planpoint.io
paths:
  /project/{id}:
    patch:
      tags:
        - projects
      summary: Update an existing project
      description: Update an existing project by Id
      operationId: updateProject
      parameters:
        - name: id
          in: path
          description: Project ID
          required: true
          schema:
            type: string
            format: objectId
            example: objectId
      requestBody:
        description: Update an existing project
        content:
          application/json:
            schema:
              type: object
              properties:
                _id:
                  type: string
                  example: objectId
                  description: Unique identifier for the project.
                user:
                  type: string
                  example: objectId
                  description: Reference to the User associated with the project.
                floors:
                  type: array
                  items:
                    type: string
                    example: objectId
                  description: List of references to Floor documents.
                commercialSpaces:
                  type: array
                  items:
                    type: string
                    example: objectId
                  description: List of references to CommercialSpace documents.
                name:
                  type: string
                  description: Name of the project.
                websiteURL:
                  type: string
                  description: Website URL of the project.
                internalURL:
                  type: string
                  description: Internal URL for project management.
                accentColor:
                  type: string
                  description: Accent color for the project branding.
                showInclusions:
                  type: boolean
                  description: Whether inclusions are displayed in the project.
                showBathrooms:
                  type: boolean
                  description: Whether bathrooms are displayed in the project.
                showAdditionalInfo:
                  type: boolean
                  description: Whether additional information is displayed in the project.
                showParking:
                  type: boolean
                  description: Whether parking information is displayed.
                showOrientation:
                  type: boolean
                  description: Whether orientation information is displayed.
                brochureButtonEnabled:
                  type: boolean
                  description: Whether the brochure button is enabled.
                brochureAssets:
                  type: array
                  items:
                    type: string
                  description: List of brochure asset URLs.
                customButtonEnabled:
                  type: boolean
                  description: Whether a custom button is enabled.
                customButtonOpensAt:
                  type: string
                  default: same_tab
                  description: Specifies where the custom button opens.
                walkscoreEnabled:
                  type: boolean
                  description: Whether Walkscore integration is enabled.
                walkscore:
                  type: string
                  description: Walkscore of the project.
                customButtonText:
                  type: string
                  description: Text for the custom button.
                customButtonIcon:
                  type: string
                  description: Icon for the custom button.
                showAvailability:
                  type: boolean
                  description: Whether availability is displayed.
                hideSold:
                  type: boolean
                  description: Whether sold units are hidden.
                showPrices:
                  type: boolean
                  description: Whether prices are displayed.
                initialView:
                  type: string
                  default: List
                  description: Initial view mode of the project.
                gtmEnabled:
                  type: boolean
                  default: false
                  description: Whether Google Tag Manager is enabled.
                dayNightEnabled:
                  type: boolean
                  default: false
                  description: Whether day-night mode is enabled.
                showAvailableFirst:
                  type: boolean
                  default: false
                  description: Whether available units are shown first.
                gtmHeadCode:
                  type: string
                  default: ''
                  description: Google Tag Manager head code.
                gtmBodyCode:
                  type: string
                  default: ''
                  description: Google Tag Manager body code.
                unitImageOnGrid:
                  type: string
                  default: Unit Plan
                  description: Type of unit image displayed on the grid.
                skipFloorStep:
                  type: boolean
                  default: false
                  description: Whether the floor step is skipped in navigation.
                areaUnit:
                  type: string
                  description: Unit of measurement for area.
                showUnitCustomFinishes:
                  type: boolean
                  default: false
                  description: Whether custom finishes for units are shown.
                showFloorOverview:
                  type: boolean
                  default: false
                  description: Whether the floor overview is displayed.
                pricesStartingAt:
                  type: boolean
                  default: false
                  description: Whether prices display as 'starting at'.
                showPriceFilter:
                  type: boolean
                  default: true
                  description: Whether the price filter is displayed.
                showAreaFilter:
                  type: boolean
                  default: true
                  description: Whether the area filter is displayed.
                showUnitDescription:
                  type: boolean
                  default: false
                  description: Whether unit descriptions are displayed.
                showTaxes:
                  type: boolean
                  description: Whether taxes are displayed.
                sharePageEnabled:
                  type: boolean
                  description: Whether the share page feature is enabled.
                sharePageDescription:
                  type: string
                  description: Description for the share page.
                sharePageLogo:
                  type: string
                  description: Logo for the share page.
                priceBeforeTax:
                  type: boolean
                  description: Whether prices are shown before tax.
                enableForms:
                  type: boolean
                  default: true
                  description: Whether forms are enabled for the project.
                rentalObject:
                  type: boolean
                  description: Whether the project is a rental property.
                deliveryDates:
                  type: boolean
                  description: Whether delivery dates are displayed.
                hideArea:
                  type: boolean
                  default: false
                  description: Whether the area information is hidden.
                showBranding:
                  type: boolean
                  default: true
                  description: Whether branding is shown on the project page.
                projectImageUrl:
                  type: string
                  description: URL of the project's main image.
                alternativeCovers:
                  type: array
                  items:
                    type: string
                  description: List of alternative cover images for the project.
                customButtonActionType:
                  type: string
                  default: url
                  description: Action type for the custom button.
                projectSVGUrl:
                  type: string
                  description: URL for the project's SVG.
                svgGroupId:
                  type: string
                  description: Group ID in the project's SVG.
                layoutImageUrl:
                  type: string
                  description: URL for the project's layout image.
                formsSendTo:
                  type: string
                  description: Email address to send forms to.
                formsSubject:
                  type: string
                  description: Subject line for forms submissions.
                formsFromName:
                  type: string
                  description: Sender name for forms submissions.
                formsMessage:
                  type: string
                  description: Default message for forms submissions.
                formsRedirectURL:
                  type: string
                  description: URL to redirect after forms submission.
                namespace:
                  type: string
                  description: Namespace for the project.
                hostName:
                  type: string
                  description: Host name for the project.
                projectLang:
                  type: string
                  description: Language for the project.
                projectType:
                  type: string
                  description: Type of project.
                propertyType:
                  type: string
                  description: Property type of the project.
                lotsLayout:
                  type: string
                  description: Layout for lots in the project.
                areaDescription:
                  type: string
                  description: Description for the area.
                enterpriseAddressDisplay:
                  type: string
                  description: Enterprise address display details.
                similarSortingBy:
                  type: string
                  default: default
                  description: Method of sorting for similar items.
                onHoldExperienceEnabled:
                  type: boolean
                  default: false
                  description: Whether the on-hold experience is enabled.
                onHoldMinsDuration:
                  type: number
                  default: 5
                  description: Duration (in minutes) for on-hold experience.
                customFormEnabled:
                  type: boolean
                  default: false
                  description: Whether custom forms are enabled.
                customFormFields:
                  type: array
                  items:
                    type: string
                  default: []
                  description: List of custom form fields.
                crfMessage:
                  type: string
                  description: Custom form message.
                mapLayoutWidth:
                  type: number
                  description: Width for the map layout.
                mapLayoutRotation:
                  type: number
                  description: Rotation for the map layout.
                previewMode:
                  type: boolean
                  default: false
                  description: Whether preview mode is enabled.
                landOnly:
                  type: boolean
                  default: false
                  description: Whether the project is for land only.
                showUnitFinishes:
                  type: boolean
                  default: false
                  description: Whether unit finishes are displayed.
                showVariants:
                  type: boolean
                  default: false
                  description: Whether unit variants are displayed.
                administrators:
                  type: array
                  items:
                    type: string
                    example: objectId
                  description: List of administrator user IDs.
                editors:
                  type: array
                  items:
                    type: string
                    example: objectId
                  description: List of editor user IDs.
                globalAmount:
                  type: number
                  description: Global amount for the project.
                chargeType:
                  type: string
                  default: same
                  description: Charge type for the project.
                chargeDescription:
                  type: string
                  default: ''
                  description: Description for the charge.
                chargeCurrency:
                  type: string
                  default: usd
                  description: Currency for charges.
                payButtonText:
                  type: string
                  default: Pay Now
                  description: Text for the payment button.
                payButtonIcon:
                  type: string
                  default: ''
                  description: Icon for the payment button.
                invites:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                      level:
                        type: string
                  description: List of invite details.
                leads:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                      phone:
                        type: string
                      unit:
                        type: string
                      message:
                        type: string
                      source:
                        type: string
                      createdAt:
                        type: string
                      questions:
                        type: array
                        items:
                          type: object
                          properties:
                            question:
                              type: string
                            answer:
                              type: string
                      customFields:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                            value:
                              type: string
                  description: List of leads.
                waitlistees:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                      phone:
                        type: string
                      unit:
                        type: string
                      createdAt:
                        type: string
                allocations:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      password:
                        type: string
                      allocation:
                        type: string
                images:
                  type: array
                  items:
                    type: string
                finishes:
                  type: array
                  items:
                    type: string
                customFinishes:
                  type: object
                  properties:
                    name:
                      type: string
                    options:
                      type: object
                      properties:
                        kitchen:
                          type: object
                          properties:
                            tabs:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                  cover:
                                    type: string
                                  thumbnail:
                                    type: string
                        bathroom:
                          type: object
                          properties:
                            tabs:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                  cover:
                                    type: string
                                  thumbnail:
                                    type: string
                        general:
                          type: object
                          properties:
                            tabs:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                  cover:
                                    type: string
                                  thumbnail:
                                    type: string
                sponsorsEnabled:
                  type: boolean
                  default: false
                waitlistEnabled:
                  type: boolean
                  default: false
                sponsors:
                  type: string
                layouts:
                  type: string
                downloadableAssets:
                  type: string
                floorplans:
                  type: string
                plan:
                  type: object
                path:
                  type: string
                alternativePaths:
                  type: string
                invertNav:
                  type: boolean
                  default: false
                address:
                  type: string
                lon:
                  type: number
                  format: double
                  description: Longitude of the project location.
                  example: -93.75940812944683
                lat:
                  type: number
                  format: double
                  description: Latitude of the project location.
                  example: 43.75940812944682
                zoomLevel:
                  type: number
                  default: 0
                perimeter:
                  type: string
                markerImageUrl:
                  type: string
                targetMarker:
                  type: string
                mapStyle:
                  type: string
                  default: Light
                mapPointColor:
                  type: string
                mapDirections:
                  type: boolean
                  default: false
                calUsername:
                  type: string
                calKey:
                  type: string
                payPalClientId:
                  type: string
                payPalDeposit:
                  type: number
                payPalCurrency:
                  type: string
                yiApiToken:
                  type: string
                yiCompanyCode:
                  type: string
                yiPropertyCode:
                  type: string
                yiStatusMapping:
                  type: object
                  properties:
                    available:
                      type: string
                    leased:
                      type: string
                    sold:
                      type: string
                    unavailable:
                      type: string
                    reserved:
                      type: string
                pvUsername:
                  type: string
                pvPassword:
                  type: string
                pvBuildingName:
                  type: string
                zhClientId:
                  type: string
                zhAccessToken:
                  type: string
                zhClientSecret:
                  type: string
                zhOrgId:
                  type: string
                srToken:
                  type: string
                srBaseUrl:
                  type: string
                sfProjectId:
                  type: string
                sfKey:
                  type: string
                sfSecret:
                  type: string
                soProjectId:
                  type: string
                soKey:
                  type: string
                soSecret:
                  type: string
                soDomain:
                  type: string
                bsBuildingId:
                  type: string
                bsUsername:
                  type: string
                bsPassword:
                  type: string
                ftpUrl:
                  type: string
                ftpPort:
                  type: number
                ftpUsername:
                  type: string
                ftpPassword:
                  type: string
                ftpWhitelist:
                  type: string
                ftpBlacklist:
                  type: string
                ftpPath:
                  type: string
                ftpFileName:
                  type: string
                ftpMapping:
                  type: array
                  items:
                    type: object
                    properties:
                      header:
                        type: string
                      property:
                        type: string
                colorBase:
                  type: string
                colorAccent:
                  type: string
                colorHover:
                  type: string
                colorButton:
                  type: string
                colorButtonText:
                  type: string
                colorText:
                  type: string
                colorFeatured:
                  type: string
                colorSold:
                  type: string
                colorAvailable:
                  type: string
                colorReserved:
                  type: string
                styleNavigation:
                  type: string
                styleBranding:
                  type: string
                styleFilter:
                  type: string
                styleShapes:
                  type: string
                styleFont:
                  type: string
                subscriptionItem:
                  type: string
                lastSync:
                  type: string
                lockScreen:
                  type: boolean
                  default: false
                specialRankEnabled:
                  type: boolean
                  default: false
                priorityList:
                  type: boolean
                  default: false
                lockScreenName:
                  type: boolean
                  default: true
                lockScreenEmail:
                  type: boolean
                  default: true
                lockScreenPhone:
                  type: boolean
                  default: true
                lockScreenMessage:
                  type: boolean
                  default: true
                lockScreenCustom:
                  type: boolean
                  default: false
                lockScreenCustomQuestions:
                  type: array
                  items:
                    type: object
                    properties:
                      lang:
                        type: string
                      value:
                        type: string
                _3dModelUrl:
                  type: string
                reportSendTo:
                  type: string
                eventsBlockList:
                  type: string
                excludeBlockedEvents:
                  type: boolean
                enable3d:
                  type: boolean
                  default: false
                _3dBuildingModelUrl:
                  type: string
                _3dFloorSelectorModelUrl:
                  type: string
                phasePrefix:
                  type: string
                hideGallery:
                  type: boolean
                hideBedrooms:
                  type: boolean
          application/xml:
            schema:
              type: object
              properties:
                _id:
                  type: string
                  example: objectId
                  description: Unique identifier for the project.
                user:
                  type: string
                  example: objectId
                  description: Reference to the User associated with the project.
                floors:
                  type: array
                  items:
                    type: string
                    example: objectId
                  description: List of references to Floor documents.
                commercialSpaces:
                  type: array
                  items:
                    type: string
                    example: objectId
                  description: List of references to CommercialSpace documents.
                name:
                  type: string
                  description: Name of the project.
                websiteURL:
                  type: string
                  description: Website URL of the project.
                internalURL:
                  type: string
                  description: Internal URL for project management.
                accentColor:
                  type: string
                  description: Accent color for the project branding.
                showInclusions:
                  type: boolean
                  description: Whether inclusions are displayed in the project.
                showBathrooms:
                  type: boolean
                  description: Whether bathrooms are displayed in the project.
                showAdditionalInfo:
                  type: boolean
                  description: Whether additional information is displayed in the project.
                showParking:
                  type: boolean
                  description: Whether parking information is displayed.
                showOrientation:
                  type: boolean
                  description: Whether orientation information is displayed.
                brochureButtonEnabled:
                  type: boolean
                  description: Whether the brochure button is enabled.
                brochureAssets:
                  type: array
                  items:
                    type: string
                  description: List of brochure asset URLs.
                customButtonEnabled:
                  type: boolean
                  description: Whether a custom button is enabled.
                customButtonOpensAt:
                  type: string
                  default: same_tab
                  description: Specifies where the custom button opens.
                walkscoreEnabled:
                  type: boolean
                  description: Whether Walkscore integration is enabled.
                walkscore:
                  type: string
                  description: Walkscore of the project.
                customButtonText:
                  type: string
                  description: Text for the custom button.
                customButtonIcon:
                  type: string
                  description: Icon for the custom button.
                showAvailability:
                  type: boolean
                  description: Whether availability is displayed.
                hideSold:
                  type: boolean
                  description: Whether sold units are hidden.
                showPrices:
                  type: boolean
                  description: Whether prices are displayed.
                initialView:
                  type: string
                  default: List
                  description: Initial view mode of the project.
                gtmEnabled:
                  type: boolean
                  default: false
                  description: Whether Google Tag Manager is enabled.
                dayNightEnabled:
                  type: boolean
                  default: false
                  description: Whether day-night mode is enabled.
                showAvailableFirst:
                  type: boolean
                  default: false
                  description: Whether available units are shown first.
                gtmHeadCode:
                  type: string
                  default: ''
                  description: Google Tag Manager head code.
                gtmBodyCode:
                  type: string
                  default: ''
                  description: Google Tag Manager body code.
                unitImageOnGrid:
                  type: string
                  default: Unit Plan
                  description: Type of unit image displayed on the grid.
                skipFloorStep:
                  type: boolean
                  default: false
                  description: Whether the floor step is skipped in navigation.
                areaUnit:
                  type: string
                  description: Unit of measurement for area.
                showUnitCustomFinishes:
                  type: boolean
                  default: false
                  description: Whether custom finishes for units are shown.
                showFloorOverview:
                  type: boolean
                  default: false
                  description: Whether the floor overview is displayed.
                pricesStartingAt:
                  type: boolean
                  default: false
                  description: Whether prices display as 'starting at'.
                showPriceFilter:
                  type: boolean
                  default: true
                  description: Whether the price filter is displayed.
                showAreaFilter:
                  type: boolean
                  default: true
                  description: Whether the area filter is displayed.
                showUnitDescription:
                  type: boolean
                  default: false
                  description: Whether unit descriptions are displayed.
                showTaxes:
                  type: boolean
                  description: Whether taxes are displayed.
                sharePageEnabled:
                  type: boolean
                  description: Whether the share page feature is enabled.
                sharePageDescription:
                  type: string
                  description: Description for the share page.
                sharePageLogo:
                  type: string
                  description: Logo for the share page.
                priceBeforeTax:
                  type: boolean
                  description: Whether prices are shown before tax.
                enableForms:
                  type: boolean
                  default: true
                  description: Whether forms are enabled for the project.
                rentalObject:
                  type: boolean
                  description: Whether the project is a rental property.
                deliveryDates:
                  type: boolean
                  description: Whether delivery dates are displayed.
                hideArea:
                  type: boolean
                  default: false
                  description: Whether the area information is hidden.
                showBranding:
                  type: boolean
                  default: true
                  description: Whether branding is shown on the project page.
                projectImageUrl:
                  type: string
                  description: URL of the project's main image.
                alternativeCovers:
                  type: array
                  items:
                    type: string
                  description: List of alternative cover images for the project.
                customButtonActionType:
                  type: string
                  default: url
                  description: Action type for the custom button.
                projectSVGUrl:
                  type: string
                  description: URL for the project's SVG.
                svgGroupId:
                  type: string
                  description: Group ID in the project's SVG.
                layoutImageUrl:
                  type: string
                  description: URL for the project's layout image.
                formsSendTo:
                  type: string
                  description: Email address to send forms to.
                formsSubject:
                  type: string
                  description: Subject line for forms submissions.
                formsFromName:
                  type: string
                  description: Sender name for forms submissions.
                formsMessage:
                  type: string
                  description: Default message for forms submissions.
                formsRedirectURL:
                  type: string
                  description: URL to redirect after forms submission.
                namespace:
                  type: string
                  description: Namespace for the project.
                hostName:
                  type: string
                  description: Host name for the project.
                projectLang:
                  type: string
                  description: Language for the project.
                projectType:
                  type: string
                  description: Type of project.
                propertyType:
                  type: string
                  description: Property type of the project.
                lotsLayout:
                  type: string
                  description: Layout for lots in the project.
                areaDescription:
                  type: string
                  description: Description for the area.
                enterpriseAddressDisplay:
                  type: string
                  description: Enterprise address display details.
                similarSortingBy:
                  type: string
                  default: default
                  description: Method of sorting for similar items.
                onHoldExperienceEnabled:
                  type: boolean
                  default: false
                  description: Whether the on-hold experience is enabled.
                onHoldMinsDuration:
                  type: number
                  default: 5
                  description: Duration (in minutes) for on-hold experience.
                customFormEnabled:
                  type: boolean
                  default: false
                  description: Whether custom forms are enabled.
                customFormFields:
                  type: array
                  items:
                    type: string
                  default: []
                  description: List of custom form fields.
                crfMessage:
                  type: string
                  description: Custom form message.
                mapLayoutWidth:
                  type: number
                  description: Width for the map layout.
                mapLayoutRotation:
                  type: number
                  description: Rotation for the map layout.
                previewMode:
                  type: boolean
                  default: false
                  description: Whether preview mode is enabled.
                landOnly:
                  type: boolean
                  default: false
                  description: Whether the project is for land only.
                showUnitFinishes:
                  type: boolean
                  default: false
                  description: Whether unit finishes are displayed.
                showVariants:
                  type: boolean
                  default: false
                  description: Whether unit variants are displayed.
                administrators:
                  type: array
                  items:
                    type: string
                    example: objectId
                  description: List of administrator user IDs.
                editors:
                  type: array
                  items:
                    type: string
                    example: objectId
                  description: List of editor user IDs.
                globalAmount:
                  type: number
                  description: Global amount for the project.
                chargeType:
                  type: string
                  default: same
                  description: Charge type for the project.
                chargeDescription:
                  type: string
                  default: ''
                  description: Description for the charge.
                chargeCurrency:
                  type: string
                  default: usd
                  description: Currency for charges.
                payButtonText:
                  type: string
                  default: Pay Now
                  description: Text for the payment button.
                payButtonIcon:
                  type: string
                  default: ''
                  description: Icon for the payment button.
                invites:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                      level:
                        type: string
                  description: List of invite details.
                leads:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                      phone:
                        type: string
                      unit:
                        type: string
                      message:
                        type: string
                      source:
                        type: string
                      createdAt:
                        type: string
                      questions:
                        type: array
                        items:
                          type: object
                          properties:
                            question:
                              type: string
                            answer:
                              type: string
                      customFields:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                            value:
                              type: string
                  description: List of leads.
                waitlistees:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                      phone:
                        type: string
                      unit:
                        type: string
                      createdAt:
                        type: string
                allocations:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      password:
                        type: string
                      allocation:
                        type: string
                images:
                  type: array
                  items:
                    type: string
                finishes:
                  type: array
                  items:
                    type: string
                customFinishes:
                  type: object
                  properties:
                    name:
                      type: string
                    options:
                      type: object
                      properties:
                        kitchen:
                          type: object
                          properties:
                            tabs:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                  cover:
                                    type: string
                                  thumbnail:
                                    type: string
                        bathroom:
                          type: object
                          properties:
                            tabs:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                  cover:
                                    type: string
                                  thumbnail:
                                    type: string
                        general:
                          type: object
                          properties:
                            tabs:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                  cover:
                                    type: string
                                  thumbnail:
                                    type: string
                sponsorsEnabled:
                  type: boolean
                  default: false
                waitlistEnabled:
                  type: boolean
                  default: false
                sponsors:
                  type: string
                layouts:
                  type: string
                downloadableAssets:
                  type: string
                floorplans:
                  type: string
                plan:
                  type: object
                path:
                  type: string
                alternativePaths:
                  type: string
                invertNav:
                  type: boolean
                  default: false
                address:
                  type: string
                lon:
                  type: number
                  format: double
                  description: Longitude of the project location.
                  example: -93.75940812944683
                lat:
                  type: number
                  format: double
                  description: Latitude of the project location.
                  example: 43.75940812944682
                zoomLevel:
                  type: number
                  default: 0
                perimeter:
                  type: string
                markerImageUrl:
                  type: string
                targetMarker:
                  type: string
                mapStyle:
                  type: string
                  default: Light
                mapPointColor:
                  type: string
                mapDirections:
                  type: boolean
                  default: false
                calUsername:
                  type: string
                calKey:
                  type: string
                payPalClientId:
                  type: string
                payPalDeposit:
                  type: number
                payPalCurrency:
                  type: string
                yiApiToken:
                  type: string
                yiCompanyCode:
                  type: string
                yiPropertyCode:
                  type: string
                yiStatusMapping:
                  type: object
                  properties:
                    available:
                      type: string
                    leased:
                      type: string
                    sold:
                      type: string
                    unavailable:
                      type: string
                    reserved:
                      type: string
                pvUsername:
                  type: string
                pvPassword:
                  type: string
                pvBuildingName:
                  type: string
                zhClientId:
                  type: string
                zhAccessToken:
                  type: string
                zhClientSecret:
                  type: string
                zhOrgId:
                  type: string
                srToken:
                  type: string
                srBaseUrl:
                  type: string
                sfProjectId:
                  type: string
                sfKey:
                  type: string
                sfSecret:
                  type: string
                soProjectId:
                  type: string
                soKey:
                  type: string
                soSecret:
                  type: string
                soDomain:
                  type: string
                bsBuildingId:
                  type: string
                bsUsername:
                  type: string
                bsPassword:
                  type: string
                ftpUrl:
                  type: string
                ftpPort:
                  type: number
                ftpUsername:
                  type: string
                ftpPassword:
                  type: string
                ftpWhitelist:
                  type: string
                ftpBlacklist:
                  type: string
                ftpPath:
                  type: string
                ftpFileName:
                  type: string
                ftpMapping:
                  type: array
                  items:
                    type: object
                    properties:
                      header:
                        type: string
                      property:
                        type: string
                colorBase:
                  type: string
                colorAccent:
                  type: string
                colorHover:
                  type: string
                colorButton:
                  type: string
                colorButtonText:
                  type: string
                colorText:
                  type: string
                colorFeatured:
                  type: string
                colorSold:
                  type: string
                colorAvailable:
                  type: string
                colorReserved:
                  type: string
                styleNavigation:
                  type: string
                styleBranding:
                  type: string
                styleFilter:
                  type: string
                styleShapes:
                  type: string
                styleFont:
                  type: string
                subscriptionItem:
                  type: string
                lastSync:
                  type: string
                lockScreen:
                  type: boolean
                  default: false
                specialRankEnabled:
                  type: boolean
                  default: false
                priorityList:
                  type: boolean
                  default: false
                lockScreenName:
                  type: boolean
                  default: true
                lockScreenEmail:
                  type: boolean
                  default: true
                lockScreenPhone:
                  type: boolean
                  default: true
                lockScreenMessage:
                  type: boolean
                  default: true
                lockScreenCustom:
                  type: boolean
                  default: false
                lockScreenCustomQuestions:
                  type: array
                  items:
                    type: object
                    properties:
                      lang:
                        type: string
                      value:
                        type: string
                _3dModelUrl:
                  type: string
                reportSendTo:
                  type: string
                eventsBlockList:
                  type: string
                excludeBlockedEvents:
                  type: boolean
                enable3d:
                  type: boolean
                  default: false
                _3dBuildingModelUrl:
                  type: string
                _3dFloorSelectorModelUrl:
                  type: string
                phasePrefix:
                  type: string
                hideGallery:
                  type: boolean
                hideBedrooms:
                  type: boolean
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                _id:
                  type: string
                  example: objectId
                  description: Unique identifier for the project.
                user:
                  type: string
                  example: objectId
                  description: Reference to the User associated with the project.
                floors:
                  type: array
                  items:
                    type: string
                    example: objectId
                  description: List of references to Floor documents.
                commercialSpaces:
                  type: array
                  items:
                    type: string
                    example: objectId
                  description: List of references to CommercialSpace documents.
                name:
                  type: string
                  description: Name of the project.
                websiteURL:
                  type: string
                  description: Website URL of the project.
                internalURL:
                  type: string
                  description: Internal URL for project management.
                accentColor:
                  type: string
                  description: Accent color for the project branding.
                showInclusions:
                  type: boolean
                  description: Whether inclusions are displayed in the project.
                showBathrooms:
                  type: boolean
                  description: Whether bathrooms are displayed in the project.
                showAdditionalInfo:
                  type: boolean
                  description: Whether additional information is displayed in the project.
                showParking:
                  type: boolean
                  description: Whether parking information is displayed.
                showOrientation:
                  type: boolean
                  description: Whether orientation information is displayed.
                brochureButtonEnabled:
                  type: boolean
                  description: Whether the brochure button is enabled.
                brochureAssets:
                  type: array
                  items:
                    type: string
                  description: List of brochure asset URLs.
                customButtonEnabled:
                  type: boolean
                  description: Whether a custom button is enabled.
                customButtonOpensAt:
                  type: string
                  default: same_tab
                  description: Specifies where the custom button opens.
                walkscoreEnabled:
                  type: boolean
                  description: Whether Walkscore integration is enabled.
                walkscore:
                  type: string
                  description: Walkscore of the project.
                customButtonText:
                  type: string
                  description: Text for the custom button.
                customButtonIcon:
                  type: string
                  description: Icon for the custom button.
                showAvailability:
                  type: boolean
                  description: Whether availability is displayed.
                hideSold:
                  type: boolean
                  description: Whether sold units are hidden.
                showPrices:
                  type: boolean
                  description: Whether prices are displayed.
                initialView:
                  type: string
                  default: List
                  description: Initial view mode of the project.
                gtmEnabled:
                  type: boolean
                  default: false
                  description: Whether Google Tag Manager is enabled.
                dayNightEnabled:
                  type: boolean
                  default: false
                  description: Whether day-night mode is enabled.
                showAvailableFirst:
                  type: boolean
                  default: false
                  description: Whether available units are shown first.
                gtmHeadCode:
                  type: string
                  default: ''
                  description: Google Tag Manager head code.
                gtmBodyCode:
                  type: string
                  default: ''
                  description: Google Tag Manager body code.
                unitImageOnGrid:
                  type: string
                  default: Unit Plan
                  description: Type of unit image displayed on the grid.
                skipFloorStep:
                  type: boolean
                  default: false
                  description: Whether the floor step is skipped in navigation.
                areaUnit:
                  type: string
                  description: Unit of measurement for area.
                showUnitCustomFinishes:
                  type: boolean
                  default: false
                  description: Whether custom finishes for units are shown.
                showFloorOverview:
                  type: boolean
                  default: false
                  description: Whether the floor overview is displayed.
                pricesStartingAt:
                  type: boolean
                  default: false
                  description: Whether prices display as 'starting at'.
                showPriceFilter:
                  type: boolean
                  default: true
                  description: Whether the price filter is displayed.
                showAreaFilter:
                  type: boolean
                  default: true
                  description: Whether the area filter is displayed.
                showUnitDescription:
                  type: boolean
                  default: false
                  description: Whether unit descriptions are displayed.
                showTaxes:
                  type: boolean
                  description: Whether taxes are displayed.
                sharePageEnabled:
                  type: boolean
                  description: Whether the share page feature is enabled.
                sharePageDescription:
                  type: string
                  description: Description for the share page.
                sharePageLogo:
                  type: string
                  description: Logo for the share page.
                priceBeforeTax:
                  type: boolean
                  description: Whether prices are shown before tax.
                enableForms:
                  type: boolean
                  default: true
                  description: Whether forms are enabled for the project.
                rentalObject:
                  type: boolean
                  description: Whether the project is a rental property.
                deliveryDates:
                  type: boolean
                  description: Whether delivery dates are displayed.
                hideArea:
                  type: boolean
                  default: false
                  description: Whether the area information is hidden.
                showBranding:
                  type: boolean
                  default: true
                  description: Whether branding is shown on the project page.
                projectImageUrl:
                  type: string
                  description: URL of the project's main image.
                alternativeCovers:
                  type: array
                  items:
                    type: string
                  description: List of alternative cover images for the project.
                customButtonActionType:
                  type: string
                  default: url
                  description: Action type for the custom button.
                projectSVGUrl:
                  type: string
                  description: URL for the project's SVG.
                svgGroupId:
                  type: string
                  description: Group ID in the project's SVG.
                layoutImageUrl:
                  type: string
                  description: URL for the project's layout image.
                formsSendTo:
                  type: string
                  description: Email address to send forms to.
                formsSubject:
                  type: string
                  description: Subject line for forms submissions.
                formsFromName:
                  type: string
                  description: Sender name for forms submissions.
                formsMessage:
                  type: string
                  description: Default message for forms submissions.
                formsRedirectURL:
                  type: string
                  description: URL to redirect after forms submission.
                namespace:
                  type: string
                  description: Namespace for the project.
                hostName:
                  type: string
                  description: Host name for the project.
                projectLang:
                  type: string
                  description: Language for the project.
                projectType:
                  type: string
                  description: Type of project.
                propertyType:
                  type: string
                  description: Property type of the project.
                lotsLayout:
                  type: string
                  description: Layout for lots in the project.
                areaDescription:
                  type: string
                  description: Description for the area.
                enterpriseAddressDisplay:
                  type: string
                  description: Enterprise address display details.
                similarSortingBy:
                  type: string
                  default: default
                  description: Method of sorting for similar items.
                onHoldExperienceEnabled:
                  type: boolean
                  default: false
                  description: Whether the on-hold experience is enabled.
                onHoldMinsDuration:
                  type: number
                  default: 5
                  description: Duration (in minutes) for on-hold experience.
                customFormEnabled:
                  type: boolean
                  default: false
                  description: Whether custom forms are enabled.
                customFormFields:
                  type: array
                  items:
                    type: string
                  default: []
                  description: List of custom form fields.
                crfMessage:
                  type: string
                  description: Custom form message.
                mapLayoutWidth:
                  type: number
                  description: Width for the map layout.
                mapLayoutRotation:
                  type: number
                  description: Rotation for the map layout.
                previewMode:
                  type: boolean
                  default: false
                  description: Whether preview mode is enabled.
                landOnly:
                  type: boolean
                  default: false
                  description: Whether the project is for land only.
                showUnitFinishes:
                  type: boolean
                  default: false
                  description: Whether unit finishes are displayed.
                showVariants:
                  type: boolean
                  default: false
                  description: Whether unit variants are displayed.
                administrators:
                  type: array
                  items:
                    type: string
                    example: objectId
                  description: List of administrator user IDs.
                editors:
                  type: array
                  items:
                    type: string
                    example: objectId
                  description: List of editor user IDs.
                globalAmount:
                  type: number
                  description: Global amount for the project.
                chargeType:
                  type: string
                  default: same
                  description: Charge type for the project.
                chargeDescription:
                  type: string
                  default: ''
                  description: Description for the charge.
                chargeCurrency:
                  type: string
                  default: usd
                  description: Currency for charges.
                payButtonText:
                  type: string
                  default: Pay Now
                  description: Text for the payment button.
                payButtonIcon:
                  type: string
                  default: ''
                  description: Icon for the payment button.
                invites:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                      level:
                        type: string
                  description: List of invite details.
                leads:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                      phone:
                        type: string
                      unit:
                        type: string
                      message:
                        type: string
                      source:
                        type: string
                      createdAt:
                        type: string
                      questions:
                        type: array
                        items:
                          type: object
                          properties:
                            question:
                              type: string
                            answer:
                              type: string
                      customFields:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                            value:
                              type: string
                  description: List of leads.
                waitlistees:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                      phone:
                        type: string
                      unit:
                        type: string
                      createdAt:
                        type: string
                allocations:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      password:
                        type: string
                      allocation:
                        type: string
                images:
                  type: array
                  items:
                    type: string
                finishes:
                  type: array
                  items:
                    type: string
                customFinishes:
                  type: object
                  properties:
                    name:
                      type: string
                    options:
                      type: object
                      properties:
                        kitchen:
                          type: object
                          properties:
                            tabs:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                  cover:
                                    type: string
                                  thumbnail:
                                    type: string
                        bathroom:
                          type: object
                          properties:
                            tabs:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                  cover:
                                    type: string
                                  thumbnail:
                                    type: string
                        general:
                          type: object
                          properties:
                            tabs:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                  cover:
                                    type: string
                                  thumbnail:
                                    type: string
                sponsorsEnabled:
                  type: boolean
                  default: false
                waitlistEnabled:
                  type: boolean
                  default: false
                sponsors:
                  type: string
                layouts:
                  type: string
                downloadableAssets:
                  type: string
                floorplans:
                  type: string
                plan:
                  type: object
                path:
                  type: string
                alternativePaths:
                  type: string
                invertNav:
                  type: boolean
                  default: false
                address:
                  type: string
                lon:
                  type: number
                  format: double
                  description: Longitude of the project location.
                  example: -93.75940812944683
                lat:
                  type: number
                  format: double
                  description: Latitude of the project location.
                  example: 43.75940812944682
                zoomLevel:
                  type: number
                  default: 0
                perimeter:
                  type: string
                markerImageUrl:
                  type: string
                targetMarker:
                  type: string
                mapStyle:
                  type: string
                  default: Light
                mapPointColor:
                  type: string
                mapDirections:
                  type: boolean
                  default: false
                calUsername:
                  type: string
                calKey:
                  type: string
                payPalClientId:
                  type: string
                payPalDeposit:
                  type: number
                payPalCurrency:
                  type: string
                yiApiToken:
                  type: string
                yiCompanyCode:
                  type: string
                yiPropertyCode:
                  type: string
                yiStatusMapping:
                  type: object
                  properties:
                    available:
                      type: string
                    leased:
                      type: string
                    sold:
                      type: string
                    unavailable:
                      type: string
                    reserved:
                      type: string
                pvUsername:
                  type: string
                pvPassword:
                  type: string
                pvBuildingName:
                  type: string
                zhClientId:
                  type: string
                zhAccessToken:
                  type: string
                zhClientSecret:
                  type: string
                zhOrgId:
                  type: string
                srToken:
                  type: string
                srBaseUrl:
                  type: string
                sfProjectId:
                  type: string
                sfKey:
                  type: string
                sfSecret:
                  type: string
                soProjectId:
                  type: string
                soKey:
                  type: string
                soSecret:
                  type: string
                soDomain:
                  type: string
                bsBuildingId:
                  type: string
                bsUsername:
                  type: string
                bsPassword:
                  type: string
                ftpUrl:
                  type: string
                ftpPort:
                  type: number
                ftpUsername:
                  type: string
                ftpPassword:
                  type: string
                ftpWhitelist:
                  type: string
                ftpBlacklist:
                  type: string
                ftpPath:
                  type: string
                ftpFileName:
                  type: string
                ftpMapping:
                  type: array
                  items:
                    type: object
                    properties:
                      header:
                        type: string
                      property:
                        type: string
                colorBase:
                  type: string
                colorAccent:
                  type: string
                colorHover:
                  type: string
                colorButton:
                  type: string
                colorButtonText:
                  type: string
                colorText:
                  type: string
                colorFeatured:
                  type: string
                colorSold:
                  type: string
                colorAvailable:
                  type: string
                colorReserved:
                  type: string
                styleNavigation:
                  type: string
                styleBranding:
                  type: string
                styleFilter:
                  type: string
                styleShapes:
                  type: string
                styleFont:
                  type: string
                subscriptionItem:
                  type: string
                lastSync:
                  type: string
                lockScreen:
                  type: boolean
                  default: false
                specialRankEnabled:
                  type: boolean
                  default: false
                priorityList:
                  type: boolean
                  default: false
                lockScreenName:
                  type: boolean
                  default: true
                lockScreenEmail:
                  type: boolean
                  default: true
                lockScreenPhone:
                  type: boolean
                  default: true
                lockScreenMessage:
                  type: boolean
                  default: true
                lockScreenCustom:
                  type: boolean
                  default: false
                lockScreenCustomQuestions:
                  type: array
                  items:
                    type: object
                    properties:
                      lang:
                        type: string
                      value:
                        type: string
                _3dModelUrl:
                  type: string
                reportSendTo:
                  type: string
                eventsBlockList:
                  type: string
                excludeBlockedEvents:
                  type: boolean
                enable3d:
                  type: boolean
                  default: false
                _3dBuildingModelUrl:
                  type: string
                _3dFloorSelectorModelUrl:
                  type: string
                phasePrefix:
                  type: string
                hideGallery:
                  type: boolean
                hideBedrooms:
                  type: boolean
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    example: objectId
                    description: Unique identifier for the project.
                  user:
                    type: string
                    example: objectId
                    description: Reference to the User associated with the project.
                  floors:
                    type: array
                    items:
                      type: string
                      example: objectId
                    description: List of references to Floor documents.
                  commercialSpaces:
                    type: array
                    items:
                      type: string
                      example: objectId
                    description: List of references to CommercialSpace documents.
                  name:
                    type: string
                    description: Name of the project.
                  websiteURL:
                    type: string
                    description: Website URL of the project.
                  internalURL:
                    type: string
                    description: Internal URL for project management.
                  accentColor:
                    type: string
                    description: Accent color for the project branding.
                  showInclusions:
                    type: boolean
                    description: Whether inclusions are displayed in the project.
                  showBathrooms:
                    type: boolean
                    description: Whether bathrooms are displayed in the project.
                  showAdditionalInfo:
                    type: boolean
                    description: >-
                      Whether additional information is displayed in the
                      project.
                  showParking:
                    type: boolean
                    description: Whether parking information is displayed.
                  showOrientation:
                    type: boolean
                    description: Whether orientation information is displayed.
                  brochureButtonEnabled:
                    type: boolean
                    description: Whether the brochure button is enabled.
                  brochureAssets:
                    type: array
                    items:
                      type: string
                    description: List of brochure asset URLs.
                  customButtonEnabled:
                    type: boolean
                    description: Whether a custom button is enabled.
                  customButtonOpensAt:
                    type: string
                    default: same_tab
                    description: Specifies where the custom button opens.
                  walkscoreEnabled:
                    type: boolean
                    description: Whether Walkscore integration is enabled.
                  walkscore:
                    type: string
                    description: Walkscore of the project.
                  customButtonText:
                    type: string
                    description: Text for the custom button.
                  customButtonIcon:
                    type: string
                    description: Icon for the custom button.
                  showAvailability:
                    type: boolean
                    description: Whether availability is displayed.
                  hideSold:
                    type: boolean
                    description: Whether sold units are hidden.
                  showPrices:
                    type: boolean
                    description: Whether prices are displayed.
                  initialView:
                    type: string
                    default: List
                    description: Initial view mode of the project.
                  gtmEnabled:
                    type: boolean
                    default: false
                    description: Whether Google Tag Manager is enabled.
                  dayNightEnabled:
                    type: boolean
                    default: false
                    description: Whether day-night mode is enabled.
                  showAvailableFirst:
                    type: boolean
                    default: false
                    description: Whether available units are shown first.
                  gtmHeadCode:
                    type: string
                    default: ''
                    description: Google Tag Manager head code.
                  gtmBodyCode:
                    type: string
                    default: ''
                    description: Google Tag Manager body code.
                  unitImageOnGrid:
                    type: string
                    default: Unit Plan
                    description: Type of unit image displayed on the grid.
                  skipFloorStep:
                    type: boolean
                    default: false
                    description: Whether the floor step is skipped in navigation.
                  areaUnit:
                    type: string
                    description: Unit of measurement for area.
                  showUnitCustomFinishes:
                    type: boolean
                    default: false
                    description: Whether custom finishes for units are shown.
                  showFloorOverview:
                    type: boolean
                    default: false
                    description: Whether the floor overview is displayed.
                  pricesStartingAt:
                    type: boolean
                    default: false
                    description: Whether prices display as 'starting at'.
                  showPriceFilter:
                    type: boolean
                    default: true
                    description: Whether the price filter is displayed.
                  showAreaFilter:
                    type: boolean
                    default: true
                    description: Whether the area filter is displayed.
                  showUnitDescription:
                    type: boolean
                    default: false
                    description: Whether unit descriptions are displayed.
                  showTaxes:
                    type: boolean
                    description: Whether taxes are displayed.
                  sharePageEnabled:
                    type: boolean
                    description: Whether the share page feature is enabled.
                  sharePageDescription:
                    type: string
                    description: Description for the share page.
                  sharePageLogo:
                    type: string
                    description: Logo for the share page.
                  priceBeforeTax:
                    type: boolean
                    description: Whether prices are shown before tax.
                  enableForms:
                    type: boolean
                    default: true
                    description: Whether forms are enabled for the project.
                  rentalObject:
                    type: boolean
                    description: Whether the project is a rental property.
                  deliveryDates:
                    type: boolean
                    description: Whether delivery dates are displayed.
                  hideArea:
                    type: boolean
                    default: false
                    description: Whether the area information is hidden.
                  showBranding:
                    type: boolean
                    default: true
                    description: Whether branding is shown on the project page.
                  projectImageUrl:
                    type: string
                    description: URL of the project's main image.
                  alternativeCovers:
                    type: array
                    items:
                      type: string
                    description: List of alternative cover images for the project.
                  customButtonActionType:
                    type: string
                    default: url
                    description: Action type for the custom button.
                  projectSVGUrl:
                    type: string
                    description: URL for the project's SVG.
                  svgGroupId:
                    type: string
                    description: Group ID in the project's SVG.
                  layoutImageUrl:
                    type: string
                    description: URL for the project's layout image.
                  formsSendTo:
                    type: string
                    description: Email address to send forms to.
                  formsSubject:
                    type: string
                    description: Subject line for forms submissions.
                  formsFromName:
                    type: string
                    description: Sender name for forms submissions.
                  formsMessage:
                    type: string
                    description: Default message for forms submissions.
                  formsRedirectURL:
                    type: string
                    description: URL to redirect after forms submission.
                  namespace:
                    type: string
                    description: Namespace for the project.
                  hostName:
                    type: string
                    description: Host name for the project.
                  projectLang:
                    type: string
                    description: Language for the project.
                  projectType:
                    type: string
                    description: Type of project.
                  propertyType:
                    type: string
                    description: Property type of the project.
                  lotsLayout:
                    type: string
                    description: Layout for lots in the project.
                  areaDescription:
                    type: string
                    description: Description for the area.
                  enterpriseAddressDisplay:
                    type: string
                    description: Enterprise address display details.
                  similarSortingBy:
                    type: string
                    default: default
                    description: Method of sorting for similar items.
                  onHoldExperienceEnabled:
                    type: boolean
                    default: false
                    description: Whether the on-hold experience is enabled.
                  onHoldMinsDuration:
                    type: number
                    default: 5
                    description: Duration (in minutes) for on-hold experience.
                  customFormEnabled:
                    type: boolean
                    default: false
                    description: Whether custom forms are enabled.
                  customFormFields:
                    type: array
                    items:
                      type: string
                    default: []
                    description: List of custom form fields.
                  crfMessage:
                    type: string
                    description: Custom form message.
                  mapLayoutWidth:
                    type: number
                    description: Width for the map layout.
                  mapLayoutRotation:
                    type: number
                    description: Rotation for the map layout.
                  previewMode:
                    type: boolean
                    default: false
                    description: Whether preview mode is enabled.
                  landOnly:
                    type: boolean
                    default: false
                    description: Whether the project is for land only.
                  showUnitFinishes:
                    type: boolean
                    default: false
                    description: Whether unit finishes are displayed.
                  showVariants:
                    type: boolean
                    default: false
                    description: Whether unit variants are displayed.
                  administrators:
                    type: array
                    items:
                      type: string
                      example: objectId
                    description: List of administrator user IDs.
                  editors:
                    type: array
                    items:
                      type: string
                      example: objectId
                    description: List of editor user IDs.
                  globalAmount:
                    type: number
                    description: Global amount for the project.
                  chargeType:
                    type: string
                    default: same
                    description: Charge type for the project.
                  chargeDescription:
                    type: string
                    default: ''
                    description: Description for the charge.
                  chargeCurrency:
                    type: string
                    default: usd
                    description: Currency for charges.
                  payButtonText:
                    type: string
                    default: Pay Now
                    description: Text for the payment button.
                  payButtonIcon:
                    type: string
                    default: ''
                    description: Icon for the payment button.
                  invites:
                    type: array
                    items:
                      type: object
                      properties:
                        firstName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                        level:
                          type: string
                    description: List of invite details.
                  leads:
                    type: array
                    items:
                      type: object
                      properties:
                        firstName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                        phone:
                          type: string
                        unit:
                          type: string
                        message:
                          type: string
                        source:
                          type: string
                        createdAt:
                          type: string
                        questions:
                          type: array
                          items:
                            type: object
                            properties:
                              question:
                                type: string
                              answer:
                                type: string
                        customFields:
                          type: array
                          items:
                            type: object
                            properties:
                              key:
                                type: string
                              value:
                                type: string
                    description: List of leads.
                  waitlistees:
                    type: array
                    items:
                      type: object
                      properties:
                        firstName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                        phone:
                          type: string
                        unit:
                          type: string
                        createdAt:
                          type: string
                  allocations:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        password:
                          type: string
                        allocation:
                          type: string
                  images:
                    type: array
                    items:
                      type: string
                  finishes:
                    type: array
                    items:
                      type: string
                  customFinishes:
                    type: object
                    properties:
                      name:
                        type: string
                      options:
                        type: object
                        properties:
                          kitchen:
                            type: object
                            properties:
                              tabs:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    label:
                                      type: string
                                    cover:
                                      type: string
                                    thumbnail:
                                      type: string
                          bathroom:
                            type: object
                            properties:
                              tabs:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    label:
                                      type: string
                                    cover:
                                      type: string
                                    thumbnail:
                                      type: string
                          general:
                            type: object
                            properties:
                              tabs:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    label:
                                      type: string
                                    cover:
                                      type: string
                                    thumbnail:
                                      type: string
                  sponsorsEnabled:
                    type: boolean
                    default: false
                  waitlistEnabled:
                    type: boolean
                    default: false
                  sponsors:
                    type: string
                  layouts:
                    type: string
                  downloadableAssets:
                    type: string
                  floorplans:
                    type: string
                  plan:
                    type: object
                  path:
                    type: string
                  alternativePaths:
                    type: string
                  invertNav:
                    type: boolean
                    default: false
                  address:
                    type: string
                  lon:
                    type: number
                    format: double
                    description: Longitude of the project location.
                    example: -93.75940812944683
                  lat:
                    type: number
                    format: double
                    description: Latitude of the project location.
                    example: 43.75940812944682
                  zoomLevel:
                    type: number
                    default: 0
                  perimeter:
                    type: string
                  markerImageUrl:
                    type: string
                  targetMarker:
                    type: string
                  mapStyle:
                    type: string
                    default: Light
                  mapPointColor:
                    type: string
                  mapDirections:
                    type: boolean
                    default: false
                  calUsername:
                    type: string
                  calKey:
                    type: string
                  payPalClientId:
                    type: string
                  payPalDeposit:
                    type: number
                  payPalCurrency:
                    type: string
                  yiApiToken:
                    type: string
                  yiCompanyCode:
                    type: string
                  yiPropertyCode:
                    type: string
                  yiStatusMapping:
                    type: object
                    properties:
                      available:
                        type: string
                      leased:
                        type: string
                      sold:
                        type: string
                      unavailable:
                        type: string
                      reserved:
                        type: string
                  pvUsername:
                    type: string
                  pvPassword:
                    type: string
                  pvBuildingName:
                    type: string
                  zhClientId:
                    type: string
                  zhAccessToken:
                    type: string
                  zhClientSecret:
                    type: string
                  zhOrgId:
                    type: string
                  srToken:
[...]
